Subject: Re: Promoting Git developers

From: Jeff King <[email-masked]>
Date: Thu, 12 Mar 2015 18:43:51 -0400

On Thu, Mar 12, 2015 at 03:36:46PM -0700, Junio C Hamano wrote:

> > I hadn't thought about it when I originally suggested this, but of
> > course "new" is not strictly meaningful in a world with branches. If you
> > contribute a bugfix on top of v2.0.0 that goes to "maint", do you get to
> > be new in v2.0.1 _and_ in v2.2.0?
> 
> Yeah, tricky.  How about
> 
>     New contributors whose contributions weren't in $previous are as follows.
>     Welcome to the Git development community!

Yeah, that makes a lot of sense to me, and then we can have it in both
places. I suspect the releases from "master" get a lot more readers, but
if we had to pick only one, people with bugfixes would generally be
mentioned in "maint" announcements.

-Peff